# Sparkfun ALPHANUMERIC Examples Reference
Below is a brief summary of each of the example programs included in this repository. To report a bug in any of these examples or to request a new feature or example [submit an issue in our GitHub issues.](https://github.com/sparkfun/qwiic_alphanumeric_py/issues). 

NOTE: Any numbering of examples is to retain consistency with the Arduino library from which this was ported. 

## Qwiic Alphanumeric Ex01 Print String
This example shows how to use the print() function to illuminate strings
 on the alphanumeric display.

The key methods showcased by this example are: 
- [print()](https://docs.sparkfun.com/qwiic_alphanumeric_py/classqwiic__alphanumeric_1_1_qwiic_alphanumeric.html#a916b7edd972f2655306c29fa94e11c8b)

## Qwiic Alphanumeric Ex02 Turn On One Segment
This example tests illuminating individual segments of the display. Pass
 in the segment and digit you wish to illuminate into illuminate_segment().

The key methods showcased by this example are: 
- [illuminate_segment()](https://docs.sparkfun.com/qwiic_alphanumeric_py/classqwiic__alphanumeric_1_1_qwiic_alphanumeric.html#a57963d3941b17d1cf992b60dd68bd299)
- [update_display()](https://docs.sparkfun.com/qwiic_alphanumeric_py/classqwiic__alphanumeric_1_1_qwiic_alphanumeric.html#adaa07a72b027a94dff73b75bea491eae)


## Qwiic Alphanumeric Ex03 Print Char
This example tests illuminating a whole character on the 14-segment display.

The key methods showcased by this example are: 
- [print_char()](https://docs.sparkfun.com/qwiic_alphanumeric_py/classqwiic__alphanumeric_1_1_qwiic_alphanumeric.html#aa69cf5d994454993d1de69ad109773b2)

## Qwiic Alphanumeric Ex04 Set Brightness
This example sets the brightness of the Qwiic Alphanumeric display.

The key methods showcased by this example are: 
- [set_brightness()](https://docs.sparkfun.com/qwiic_alphanumeric_py/classqwiic__alphanumeric_1_1_qwiic_alphanumeric.html#ac76307a2ce343f33fbb081fb6e79deaa)

## Qwiic Alphanumeric Ex05 Set Blink Rate
This example sets the blink rate of the display.

The key methods showcased by this example are: 
- [set_blink_rate()](https://docs.sparkfun.com/qwiic_alphanumeric_py/classqwiic__alphanumeric_1_1_qwiic_alphanumeric.html#a3dd5d0256707dd2e47f46fbd7cb8d483)

## Qwiic Alphanumeric Ex06 Colon And Decimal
This example tests the library's response to printing colons or decimal points.

## Qwiic Alphanumeric Ex07 Unknown Char
This example demonstrates what the library does when the user tries to 
 print an unknown character.

## Qwiic Alphanumeric Ex08 Multi Display
This example demonstrates how to connect multiple displays to the bus
 to print longer strings.

The key methods showcased by this example are: 
- [set_brightness()](https://docs.sparkfun.com/qwiic_alphanumeric_py/classqwiic__alphanumeric_1_1_qwiic_alphanumeric.html#ac76307a2ce343f33fbb081fb6e79deaa)

## Qwiic Alphanumeric Ex09 Scrolling String
This example tests the scrolling functionality of the display.

The key methods showcased by this example are: 
- [shift_left()](https://docs.sparkfun.com/qwiic_alphanumeric_py/classqwiic__alphanumeric_1_1_qwiic_alphanumeric.html#af8c2ce0cbca070fe7d133b3a1078429b)

