# Sparkfun HUSKYLENS Examples Reference
Below is a brief summary of each of the example programs included in this repository. To report a bug in any of these examples or to request a new feature or example [submit an issue in our GitHub issues.](https://github.com/sparkfun/qwiic_huskylens_py/issues). 

NOTE: Any numbering of examples is to retain consistency with the Arduino library from which this was ported. 

## Qwiic Huskylens Ex1 Face Recognition 2D
This example shows how to set the Huskylens up for facial recognition and teach it two 2-D faces.

The key methods showcased by this example are: 
- [forget()](https://docs.sparkfun.com/qwiic_huskylens_py/classqwiic__huskylens_1_1_qwiic_huskylens.html#a3cd528aac7ccadd2c174993689961e93)
- [set_algorithm()](https://docs.sparkfun.com/qwiic_huskylens_py/classqwiic__huskylens_1_1_qwiic_huskylens.html#a07704369d07143462c6f699ddbd72e33)
- [wait_for_objects_of_interest()](https://docs.sparkfun.com/qwiic_huskylens_py/classqwiic__huskylens_1_1_qwiic_huskylens.html#a359f86382f66ca3e949386495e4f5141)
- [learn_new()](https://docs.sparkfun.com/qwiic_huskylens_py/classqwiic__huskylens_1_1_qwiic_huskylens.html#a2ab3dba283661d6a31175b7a864de2e6)
- [name_last()](https://docs.sparkfun.com/qwiic_huskylens_py/classqwiic__huskylens_1_1_qwiic_huskylens.html#a14e14f471b1e152af1128d3e50dc887d)
- [get_objects_of_interest()](https://docs.sparkfun.com/qwiic_huskylens_py/classqwiic__huskylens_1_1_qwiic_huskylens.html#aadb46fbca8344dea739a1bcddb060c71)
- [get_name_for_id()](https://docs.sparkfun.com/qwiic_huskylens_py/classqwiic__huskylens_1_1_qwiic_huskylens.html#a71ef9e19c40ce6f5c581cd8aa3ed2f15)

## Qwiic Huskylens Ex2 Face Recognition 3D
This example shows how to set the Huskylens up for facial recognition and teach it two 3-D faces.

The key methods showcased by this example are: 
- [learn_same()](https://docs.sparkfun.com/qwiic_huskylens_py/classqwiic__huskylens_1_1_qwiic_huskylens.html#ad454426045fad8d594fcc338f4138e66)

## Qwiic Huskylens Ex3 Object Tracking
This example shows how to set the Huskylens up for object tracking.

## Qwiic Huskylens Ex4 Object Recognition
This example shows how to set the Huskylens up for object recognition.

## Qwiic Huskylens Ex5 Line Tracking
This example shows how to set the Huskylens up for line tracking.
The key methods showcased by this example are: 
- [wait_for_lines_of_interest()](https://docs.sparkfun.com/qwiic_huskylens_py/classqwiic__huskylens_1_1_qwiic_huskylens.html#aec9f19fa4631df0a60d021b5bbb9b0f6)
- [get_lines_of_interest()](https://docs.sparkfun.com/qwiic_huskylens_py/classqwiic__huskylens_1_1_qwiic_huskylens.html#ae3e43e1e703e90f19b972f7933c42df2)

## Qwiic Huskylens Ex6 Color Recognition
This example shows how to set the Huskylens up for color recognition.

## Qwiic Huskylens Ex7 Tag Recogntion
This example shows how to set the Huskylens up for tag recognition.

## Qwiic Huskylens Ex8 Object Classification
This example shows how to set the Huskylens up for object classification.

## Qwiic Huskylens Ex9 Write To Screen
This example shows how to set the Huskylens to output text to the screen.


