# Sparkfun MCP4725 Examples Reference
Below is a brief summary of each of the example programs included in this repository. To report a bug in any of these examples or to request a new feature or example [submit an issue in our GitHub issues.](https://github.com/sparkfun/qwiic_mcp4725_py/issues). 

NOTE: Any numbering of examples is to retain consistency with the Arduino library from which this was ported. 

## Qwiic Mcp4725 Ex1 Basic
This example writes the DAC with three example voltages: 0V, 1.65V, and 3.3V

The key methods showcased by this example are: 
- [write_dac()](https://docs.sparkfun.com/qwiic_mcp4725_py/classqwiic__mcp4725_1_1_qwiic_m_c_p4725.html#a655d2b07c51a48a94e0a8060c391e6f2)

## Qwiic Mcp4725 Ex2 Waveform
This example takes data from a lookup table to provide 
 waveforms to be generated by the MCP4725 DAC.

## Qwiic Mcp4725 Ex3 Write Eeprom
This example writes the DAC and EEPROM With a single command.

The key methods showcased by this example are: 
- [write_dac_eeprom()](https://docs.sparkfun.com/qwiic_mcp4725_py/classqwiic__mcp4725_1_1_qwiic_m_c_p4725.html#ae8986eedd9802dab5b8a7fc6f7e46aa7)

## Qwiic Mcp4725 Ex4 Read
This example writes the DAC and then reads the DAC value back from the device.

The key methods showcased by this example are: 
- [read_dac_eeprom()](https://docs.sparkfun.com/qwiic_mcp4725_py/classqwiic__mcp4725_1_1_qwiic_m_c_p4725.html#a281c8109bc1694b3a08d379bd1533bb7)

## Qwiic Mcp4725 Ex5 Power Down
This example demonstrates how to enter and leave power down mode on the MCP4725 DAC.

## Qwiic Mcp4725 Ex6 Fast Write
This example uses fast mode to write the DAC with three example voltages: 0V, 1.65V, and 3.3V.

The key methods showcased by this example are: 
- [write_fast_mode()](https://docs.sparkfun.com/qwiic_mcp4725_py/classqwiic__mcp4725_1_1_qwiic_m_c_p4725.html#a6dbc56cd8dab60a6ad89ef195fab2e1c)
