# Sparkfun OLED Examples Reference
Below is a brief summary of each of the example programs included in this repository. To report a bug in any of these examples or to request a new feature or example [submit an issue in our GitHub issues.](https://github.com/sparkfun/qwiic_oled_py/issues). 

NOTE: Any numbering of examples is to retain consistency with the Arduino library from which this was ported. 

## Ex1 Splash Screen
Simple Example for an OLED Display that displays the SparkFun splash screen.

The key methods showcased by this example are: 
- [clear()](https://docs.sparkfun.com/qwiic_oled_base_py/classqwiic__oled_1_1qwiic__oled__base_1_1_qwiic_oled_base.html#adf21b24793a1df5f9cb7178e8591b4c8)
- [display()](https://docs.sparkfun.com/qwiic_oled_base_py/classqwiic__oled_1_1qwiic__oled__base_1_1_qwiic_oled_base.html#abfb4b7fd27d21fd286fcc9888b4c55e1)
- [add_logo()](https://docs.sparkfun.com/qwiic_oled_base_py/namespaceqwiic__oled_1_1oled__logos.html#a97c1ff57127bf2a9e6d8eb729f909ea3)

## Ex2 Hello World
Example for writing "Hello World" to an OLED Display.

The key methods showcased by this example are: 
- [print()](https://docs.sparkfun.com/qwiic_oled_base_py/classqwiic__oled_1_1qwiic__oled__base_1_1_qwiic_oled_base.html#ade9495b0295893c40478470ca315bb37)

## Ex3 Demo
A full-featured example showing various features of the display driver for Qwiic OLED displays.

The key methods showcased by this example are: 
- [get_lcd_width()](https://docs.sparkfun.com/qwiic_oled_base_py/classqwiic__oled_1_1qwiic__oled__base_1_1_qwiic_oled_base.html#ae2ac53f339f6033e72694425812e81fa)
- [get_lcd_height()](https://docs.sparkfun.com/qwiic_oled_base_py/classqwiic__oled_1_1qwiic__oled__base_1_1_qwiic_oled_base.html#afa662f7b663c804789dfe9e982e29bb7)
- [line()](https://docs.sparkfun.com/qwiic_oled_base_py/classqwiic__oled_1_1qwiic__oled__base_1_1_qwiic_oled_base.html#a6de8311ad922e2405bb262ad97ce14d0)
- [rect()](https://docs.sparkfun.com/qwiic_oled_base_py/classqwiic__oled_1_1qwiic__oled__base_1_1_qwiic_oled_base.html#a7c8e27f4cfaca79086c17a5f93f95d1f)
- [rect_fill()](https://docs.sparkfun.com/qwiic_oled_base_py/classqwiic__oled_1_1qwiic__oled__base_1_1_qwiic_oled_base.html#a371a1f6a3532a667164d75e5d73ea44a)
- [circle()](https://docs.sparkfun.com/qwiic_oled_base_py/classqwiic__oled_1_1qwiic__oled__base_1_1_qwiic_oled_base.html#aa21279df594947e00f935ac351b1945c)
- [set_font_type()](https://docs.sparkfun.com/qwiic_oled_base_py/classqwiic__oled_1_1qwiic__oled__base_1_1_qwiic_oled_base.html#aa91749e627960b5e31423acc06b9a796)
- [set_cursor()](https://docs.sparkfun.com/qwiic_oled_base_py/classqwiic__oled_1_1qwiic__oled__base_1_1_qwiic_oled_base.html#ac3faf8203fb6a1aa7feed9535168aeb6)

## Ex4 Cube
Rotating cube example for a Qwiic OLED Device.

The key methods showcased by this example are: 
- [line()](https://docs.sparkfun.com/qwiic_oled_base_py/classqwiic__oled_1_1qwiic__oled__base_1_1_qwiic_oled_base.html#a6de8311ad922e2405bb262ad97ce14d0)

## Ex5 Micro Bitmap
Example for the Qwiic Micro OLED display that displays Bender's face!

The key methods showcased by this example are: 
- [draw_bitmap()](https://docs.sparkfun.com/qwiic_oled_base_py/classqwiic__oled_1_1qwiic__oled__base_1_1_qwiic_oled_base.html#aa1642c776a2f1ba9a7f01d006a184927)
